Package ru.bitel.common

# Class ZipUtils

java.lang.Object
ru.bitel.common.ZipUtils

public class ZipUtils extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ZipUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `doZip(Map<String,byte[]> map, String folderPath, String patternTitle)`
  Архивирует файлы/папки с файлами.
  `static byte[]`
  `getEntry(InputStream is, String entryName)`
  Возвращает сущность из архива в виде byte[] по заданному имени либо первую попавшуюся если имя null.
  `static Map<String,byte[]>`
  `unZip(File file)`
  Распаковывает архив в память.
  `static Map<String,byte[]>`
  `unZip(String filePath)`
  `static jakarta.activation.DataSource`
  `zippedDataSources(List<jakarta.activation.DataSource> dataSources)`
  Из списка DataSource создаёт zip и отдаёт его как один DataSource

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ZipUtils

    public ZipUtils()

- ## Method Details

  - ### getEntry

    public static byte[] getEntry(InputStream is, String entryName) throws ru.bitel.bgbilling.common.BGException
    Возвращает сущность из архива в виде byte[] по заданному имени либо первую попавшуюся если имя null. Исходный инпутстрим не закрывается, надо закрыть. Если не найдено такой записи (или архив пустой при entryName=null) то вернётся null.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### doZip

    public static String doZip(Map<String,byte[]> map, String folderPath, String patternTitle) throws IOException
    Архивирует файлы/папки с файлами.
    Parameters:
      `Map` - <String, byte[]> map - мап, в качестве ключей выступает путь к файлу, а в качестве значения байтовый массив этого файла
      `String` - folderPath - путь, куда сохранять архив
      `String` - patternTitle - название файла шаблона
      `String` - patternType - тип файла шаблона
    Returns:
      String filePath - путь к архиву. /tmp/tmp.zip
    Throws:
      `IOException`

  - ### unZip

    public static Map<String,byte[]> unZip(String filePath) throws IOException
    Throws:
      `IOException`

  - ### unZip

    public static Map<String,byte[]> unZip(File file) throws IOException
    Распаковывает архив в память.
    Parameters:
      `String` - filePath - путь к файлу
    Returns:
      Map<key, value>, где key - имя файдла с полным путем в архиве, value - байтовый массив
    Throws:
      `IOException`

  - ### zippedDataSources

    public static jakarta.activation.DataSource zippedDataSources(List<jakarta.activation.DataSource> dataSources)
    Из списка DataSource создаёт zip и отдаёт его как один DataSource